## python-networkx 1.9+dfsg1

=== debian/changelog ===
python-networkx (1.9+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #750233).
  * Ran wrap-and-sort.
  * debian/copyright in parseable format 1.0.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/source/options, and
    removed the clean of the egg-info folder.
  * Refreshed/rebased 10_doc_relocation, 20_example_dirs_remove and
    30_use_local_objects.inv patches.
  * Removed 50_force_ordering_in_dict_to_numpy_array_functions.patch
    55_fixups_to_numpy_array_functions_patch.patch
    60_fix_tests_failure_due_to_py3.3_hash_randomization.patch applied
    upstream.
  * debian/control: removed python-support and added dh-python as build-dep.
  * Added python-3.4.patch (comes from the Ubuntu package).
  * Removed 40_no_setuptools_in_requires.txt (there's no setup_egg.py anymore
    in upstream source code).
  * Also cleans networkx/version.py, which is generated.
  * Also cleans test.*, doc/source/templates/gallery.html and fontList.cache.
  * Added do-not-use-sphinx_rtd_theme.patch.
  * debian/rules: do not use setup_egg.py, it's gone from upstream source.
  * Move all the doc generation stuff into the override_dh_sphinxdoc.
  * Removed obsolete XS-Python-Version: >= 2.6 X-Python3-Version: >= 3.2.
  * Adds using-local-mathjax.js.patch to avoid privacy breach in the doc.
  * Added missing --with python2.
  * Added debian/rules get-orig-src target to generate the orig.tar.xz file.
  * Added missing build-depends: python-decorator and python-numpydoc (needed
    for building docs).
  * Fixed watch file to handle the +dfsg1 mangling.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Jun 2014 07:11:42 +0000

python-networkx (1.8.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
    - added decorator copyright notice
  * debian/patches/*
    - refreshed patches
  * debian/patch/{50, 55, 60}*
    - backport patches
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 12:26:47 +0100

=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: dh-python,
                     dvipng,
                     python-all (>= 2.3.5-11),
                     python-decorator (>= 3.4.0),
                     python-matplotlib,
                     python-nose (>= 0.10.1),
                     python-numpy,
                     python-numpydoc,
                     python-pygraphviz,
                     python-scipy,
                     python-setuptools (>= 0.6a9),
                     python-sphinx (>= 1.0.7+dfsg),
                     python3-all,
                     python3-nose,
                     python3-scipy,
                     python3-setuptools,
                     texlive-binaries,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     zip
Standards-Version: 3.9.5
Homepage: http://networkx.lanl.gov/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-networkx/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-networkx/trunk/

Package: python-networkx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-matplotlib,
            python-numpy,
            python-pkg-resources,
            python-pygraphviz | python-pydot,
            python-scipy,
            python-yaml
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

Package: python3-networkx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-numpy, python3-pkg-resources, python3-scipy, python3-yaml
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

Package: python-networkx-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: tool to create, manipulate and study complex networks - documentation
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains documentation for NetworkX.

=== debian/rules ===
#!/usr/bin/make -f

DEBIANDOC_DIR=$(CURDIR)/debian/python-networkx/usr/share/doc/python-networkx
LIB2 := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")
PYTHON2 := $(shell pyversions -r)
PYTHON3 := $(shell py3versions -r)

%:
	dh $@ --with sphinxdoc,python2,python3

override_dh_auto_clean:
	dh_auto_clean

	# Add here commands to clean up after the build process.
	rm -fr build networkx/version.py test.* doc/source/templates/gallery.html fontList.cache
	# Remove built doc too
	$(MAKE) -C doc clean
	rm -rf doc/source/*.pdf doc/source/*.zip examples/*/*.png doc/fontList.cache

	# Make sure that there's no .pyc left
	find . -name '*.pyc' -exec rm {} ';'

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e ; \
	# running tests
	for py in $(PYTHON2) ; do\
		PYTHONPATH=$(LIB2) $$py setup.py nosetests ; \
	done
	set -e ; \
	# running tests Python 3
	for py in $(PYTHON3) ; do\
		PYTHONPATH=$(LIB3) $$py setup.py nosetests ; \
	done
endif

override_dh_install:
	# Install w/o compiling *.pyc files
	# Install egg-info directories (--single-... option)
	python setup.py install --no-compile --root=$(CURDIR)/debian/python-networkx \
		--single-version-externally-managed --install-layout=deb
	python3 setup.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
		--single-version-externally-managed --install-layout=deb

	# Fix executable bits:
	chmod +x debian/python-networkx/usr/lib/`pyversions -d`/*-packages/networkx/tests/test.py
	chmod +x debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
	find debian/python-networkx -name '*.bz2' -exec chmod a-x {} ';'

	# fix test shebang
	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py

	# remove duplicate examples
	rm -rf debian/python3-networkx/usr/share/doc/python-networkx

	# don't ship python 2 code for _decorator because it can't be byte-compiled
	rm -f debian/python3-networkx/usr/lib/python3/dist-packages/networkx/external/decorator/_decorator.py

	dh_install


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
	# Do some cleanup: delete unneeded files:
	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt

	# Rename the README file.
	mv $(DEBIANDOC_DIR)/README.txt $(DEBIANDOC_DIR)/README

	# install doc from dir 'dist', but rename it to 'html', better name
	cp -auxf doc/build/dist debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html

	# link the pdf files also at the top level dir
	dh_link -ppython-networkx-doc /usr/share/doc/python-networkx-doc/html/_downloads/networkx_reference.pdf /usr/share/doc/python-networkx-doc/networkx_reference.pdf
	dh_link -ppython-networkx-doc /usr/share/doc/python-networkx-doc/html/_downloads/networkx_tutorial.pdf /usr/share/doc/python-networkx-doc/networkx_tutorial.pdf

	rm -rf debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_static/jquery.js
	dh_link -ppython-networkx-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-networkx-doc/html/_static/jquery.js

	dh_link -ppython-networkx-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-networkx-doc/html/_static/MathJax.js

	# remove full doc zip file
	rm -f debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_downloads/networkx-documentation.zip

	dh_sphinxdoc
endif

DEBVERS         ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
NODFSG_VERSION  ?= $(shell echo '$(VERSION)' | sed -e 's/\+dfsg[[:digit:]]*//')
DEBFLAVOR       ?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
DEBPKGNAME      ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
UPSTREAM_GIT    ?= git://github.com/networkx/networkx.git

get-orig-src:
	set -ex && \
		mkdir debian-tmp && \
		cd debian-tmp && \
		git clone $(UPSTREAM_GIT) && \
		cd networkx && \
		git reset --hard networkx-$(NODFSG_VERSION) && \
		git rm -rf examples/javascript/force/d3 doc/source/static/force/d3js .hgtags && \
		git commit -a -m "Removed non-free files" && \
		git tag $(VERSION) && \
		git archive --prefix=$(DEBPKGNAME)-$(VERSION)/ $(VERSION) \
			| xz >../../../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
		cd ../.. ; \
		rm -rf debian-tmp

update_intersphinx_mapping:
	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
	wget http://docs.scipy.org/doc/numpy/objects.inv -O debian/scipy.org_numpy_objects.inv

override_dh_compress:
	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv

override_dh_installchangelogs:
	dh_installchangelogs doc/source/reference/news.rst

=== debian/watch ===
version=3
#http://networkx.lanl.gov/download/networkx/networkx-([\d\.]*).tar.gz
opts=dversionmangle=s/.dfsg\d//,uversionmangle=s/rc/~rc/ \
  http://pypi.python.org/packages/source/n/networkx/networkx-(.*)\.tar.gz

## python-networkx 1.11

=== debian/changelog ===
python-networkx (1.11-1ubuntu3) bionic; urgency=medium

  * d/control: Add python(3)-pydotplus to Build-Depends and Suggests
    (LP: #1815126).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Feb 2019 15:15:38 -0500

python-networkx (1.11-1ubuntu2) bionic; urgency=medium

  * python3-networkx: Depend on python3-lib2to3. Closes: #896212.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Apr 2018 09:39:13 +0200

python-networkx (1.11-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.
    - Build-depend on python3-decorator.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Mar 2016 20:52:54 +0100

python-networkx (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 11:16:00 +0000

python-networkx (1.11~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - update packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jan 2016 19:52:06 +0000

python-networkx (1.11~rc1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.
  * Build-depend on python3-decorator.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jan 2016 11:41:11 +0100

python-networkx (1.11~rc1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed the exclude and add python-pydot as build-depends-indep.
  * Added python3-matplotlib, python3-numpy, python3-pygraphviz as
    build-depends-indep as well.

  [ Sandro Tosi ]
  * New upstream release candidate; Closes: #801880
  * debian/control
    - suggest the -doc pkg in the module pkgs; Closes: #807126
  * debian/copyright
    - extend packaging copyright years
    - drop BSD-style, not used
    - move the general copyright notice on top, helps with lintian
  * debian/README.source
    - removed, outdated
  * debian/*.inv
    - update intersphinx mapping files
  * debian/rules
    - dont fail if there are errors in the tests

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 02:26:44 +0000

python-networkx (1.10-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release (Closes: #800431).

  [ Thomas Goirand ]
  * Move to Build-Depends: what was in Build-Depends-Indep: but which is needed
    for the clean target.
  * Dropped version of packages for those already provided in Jessie.
  * Removed now useless python-3.4.patch patch from Chuck Short.
  * Removed do-not-use-sphinx_rtd_theme.patch patch. Build-Depends on the
    python-sphinx-rtd-theme package instead.
  * Exclude tests which are doing internet access and failing.
  * Do not rename non-existing README file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 13:17:15 +0000

python-networkx (1.9.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/rules
    - remove the get-orig-src crap
  * debian/copyright
    - extend packaging copyright years
    - drop unused paragraph
  * debian/control
    - update Homepage field
    - bump Standards-Version to 3.9.6 (no changes needed)
    - set me as Maintainer, team as Uploaders
  * debian/patches/using-local-mathjax.js.patch
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2015 17:38:17 +0100

=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
               python3-decorator,
Build-Depends-Indep: python-decorator,
                     python-nose,
                     python-numpy,
                     python-pydotplus,
                     python-sphinx-rtd-theme,
                     python3-nose,
                     python3-numpy,
                     python3-pydotplus,
                     texlive-binaries,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     zip,
Standards-Version: 3.9.6
Homepage: http://networkx.github.io/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-networkx.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-networkx.git

Package: python-networkx
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Recommends: python-numpy,
            python-pkg-resources,
            python-yaml,
Suggests: python-matplotlib,
          python-pydotplus,
          python-scipy,
          python-pygraphviz | python-pydot,
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

Package: python3-networkx
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-lib2to3,
Recommends: python3-numpy,
            python3-pkg-resources,
            python3-yaml,
Suggests: python3-pydotplus,
          python3-scipy,
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,15 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	set -e ; \
+	#set -e ; \
 	# running tests
-	for py in $(PYTHON2) ; do\
-		PYTHONPATH=$(LIB2) $$py setup.py nosetests ; \
+	-for py in $(PYTHON2) ; do\
+		PYTHONPATH=$(LIB2) $$py setup.py nosetests -v ; \
 	done
-	set -e ; \
+	#set -e ; \
 	# running tests Python 3
-	for py in $(PYTHON3) ; do\
-		PYTHONPATH=$(LIB3) $$py setup.py nosetests ; \
+	-for py in $(PYTHON3) ; do\
+		PYTHONPATH=$(LIB3) $$py setup.py nosetests -v ; \
 	done
 endif
 
@@ -60,14 +60,11 @@
 	dh_install
 
 
-override_dh_sphinxdoc:
+override_dh_sphinxdoc_DISABLED:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
 	# Do some cleanup: delete unneeded files:
 	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt
-
-	# Rename the README file.
-	mv $(DEBIANDOC_DIR)/README.txt $(DEBIANDOC_DIR)/README
 
 	# install doc from dir 'dist', but rename it to 'html', better name
 	cp -auxf doc/build/dist debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html
@@ -94,21 +91,6 @@
 DEBPKGNAME      ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
 UPSTREAM_GIT    ?= git://github.com/networkx/networkx.git
 
-get-orig-src:
-	set -ex && \
-		mkdir debian-tmp && \
-		cd debian-tmp && \
-		git clone $(UPSTREAM_GIT) && \
-		cd networkx && \
-		git reset --hard networkx-$(NODFSG_VERSION) && \
-		git rm -rf examples/javascript/force/d3 doc/source/static/force/d3js .hgtags && \
-		git commit -a -m "Removed non-free files" && \
-		git tag $(VERSION) && \
-		git archive --prefix=$(DEBPKGNAME)-$(VERSION)/ $(VERSION) \
-			| xz >../../../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
-		cd ../.. ; \
-		rm -rf debian-tmp
-
 update_intersphinx_mapping:
 	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
 	wget http://docs.scipy.org/doc/numpy/objects.inv -O debian/scipy.org_numpy_objects.inv

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d//,uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/networkx/networkx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-networkx 2.1

=== debian/changelog ===
python-networkx (2.1-1ubuntu2) cosmic; urgency=medium

  * Move python*-pkg-resources to real dependencies, needed to run the
    python-cov testsuite (drawing/nx_pydot.py subpackage)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jun 2018 17:10:11 +0200

python-networkx (2.1-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.
    - Build-depend on python3-decorator.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jun 2018 12:04:40 +0200

python-networkx (2.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #888458
    - references to lib2to3 have been removed upstream; Closes: #893697
  * debian/control
    - revert useless changes performed without any kind of coordination,
      preserving only the bump to Standard-Version: 3.9.8, which was not
      metioned in the changelog (and not formally released)
    - add gdal to b-d and d
    - add latexmk to b-d, needed to build doc and fix a FTBFS with sphinx 1.6;
      Closes: #872241
    - bump Standards-Version to 4.1.4 (no changes needed)
    - add ipykernel, nb2plots, nbformat, nbconvert, sphinx-gallery, traitlets
      to b-d-i, needed to build doc
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * refresh patches
  * debian/patches/0003-README.txt-to-examples-needed-by-sphinx-while-buildi.patch
    - add the missing README.txt to the examples directory
  * debian/rules
    - delete files removals line no longer needed
    - update location for upstream changelog
  * debian/patches/0004-add-copybutton.js.patch
    - add required copybutton.js file
  * debian/python.org_objects.inv,debian/scipy.org_numpy_objects.inv
    - update intersphinx doc
  * debian/patches/0005-use-debian-mathjax.js.patch
    - use MathJax.js as provided by libjs-mathjax in Debian
  * debian/python-networkx-doc.doc-base
    - update doc-base to refer to index.html as doc entry point
  * debian/patches/0006-skip-plot_football-from-sphinx-gallery-requires-netw.patch
    - plot_football.py requires network access, so skip it

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 18:18:28 -0400

python-networkx (1.11-2) UNRELEASED; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andreas Tille ]
  * pngmath conflicts with some other shinx tool - drop it
    Closes: #832855
  * Add missing Build-Depends
  * debhelper 9
  * cme fix dpkg-control
  * fix another shebang

 -- Andreas Tille <tille@debian.org>  Sat, 06 Aug 2016 17:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,44 +3,62 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                dh-python,
+	       latexmk,
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
+               python3-decorator,
                python3-setuptools,
-               python3-decorator,
-Build-Depends-Indep: python-decorator,
+Build-Depends-Indep: dvipng,
+                     python-ipykernel,
+                     python-decorator,
+                     python-gdal,
+                     python-matplotlib,
+                     python-nb2plots,
+                     python-nbformat,
+                     python-nbconvert,
                      python-nose,
                      python-numpy,
-                     python-pydotplus,
+                     python-numpydoc,
+                     python-pydot,
+                     python-pygraphviz,
+                     python-scipy,
                      python-sphinx-rtd-theme,
+                     python-sphinx-gallery,
+                     python-traitlets,
+                     python3-gdal,
+                     python3-matplotlib,
                      python3-nose,
                      python3-numpy,
-                     python3-pydotplus,
+                     python3-scipy,
+                     python3-pygraphviz,
+                     python3-pydot,
                      texlive-binaries,
                      texlive-fonts-recommended,
                      texlive-latex-base,
                      texlive-latex-extra,
                      texlive-latex-recommended,
+                     texlive-generic-extra,
                      zip,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://networkx.github.io/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-networkx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-networkx.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx
 
 Package: python-networkx
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
+         python-pkg-resources,
 Recommends: python-numpy,
-            python-pkg-resources,
             python-yaml,
-Suggests: python-matplotlib,
-          python-pydotplus,
-          python-scipy,
+Suggests: python-gdal,
+          python-matplotlib,
           python-pygraphviz | python-pydot,
+          python-scipy
 Description: tool to create, manipulate and study complex networks
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
@@ -58,12 +76,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-lib2to3,
-Recommends: python3-numpy,
-            python3-pkg-resources,
+         python3-pkg-resources,
+Recommends: python3-gdal,
+            python3-numpy,
             python3-yaml,
-Suggests: python3-pydotplus,
-          python3-scipy,
+Suggests: python3-scipy
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.

## python-networkx 2.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest epub

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  epub       to make an epub"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash   to update the gitwash documentation"


clean:
	-rm -rf build/*
	-rm -rf ghpages_build
	-rm -rf auto_examples modules
	-rm -rf reference/generated reference/algorithms/generated reference/classes/generated reference/readwrite/generated

dist: html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-rm -rf build/dist
	(cd build/html; cp -r . ../../build/dist)
	(cd build/dist && tar czf ../dist.tar.gz .)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/test.qhc"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) build/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."


latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

latexpdf: latex
	@echo "Running LaTeX files through latexmk..."
	$(MAKE) -C build/latex all-pdf
	@echo "latexmk finished; the PDF files are in build/latex."

docs: clean html latexpdf
	cp build/latex/networkx_reference.pdf build/html/_downloads/.
	
gitwash-update:
	python ../tools/gitwash_dumper.py developer networkx \
	--project-url=http://networkx.github.io \
	--project-ml-url=http://groups.google.com/group/networkx-discuss/ \
	--gitwash-url git@github.com:matthew-brett/gitwash.git

=== debian/changelog ===
python-networkx (2.2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Nov 2018 06:34:27 +0100

python-networkx (2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Gianfranco Costamagna ]
  * debian/control
    - Move python*-pkg-resources to real dependencies, needed to run the
      python-cov testsuite (drawing/nx_pydot.py subpackage); Closes: #902540

  [ Sandro Tosi ]
  * New upstream release
  * debian/patch
    - refresh, remove patch merged upstream
  * debian/control
    - b-d on decorator >= 4.3.0
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 17:21:28 -0500

python-networkx (2.1-1ubuntu4) disco; urgency=medium

  * python3-networkx: Suggest python3-gdal instead of recommending it.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Nov 2018 19:29:50 +0100

python-networkx (2.1-1ubuntu3) disco; urgency=medium

  * d/patches/0007-Fix-StopIteration-handling-which-breaks-in-python-3.7.patch:
    backport patch from upstream to improve compatibility with Python 3.7. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Nov 2018 14:01:33 +1300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -14,7 +15,8 @@
                python3-setuptools,
 Build-Depends-Indep: dvipng,
                      python-ipykernel,
-                     python-decorator,
+                     python-decorator (>= 4.3.0),
+                     python3-decorator (>= 4.3.0),
                      python-gdal,
                      python-matplotlib,
                      python-nb2plots,
@@ -43,7 +45,7 @@
                      texlive-latex-recommended,
                      texlive-generic-extra,
                      zip,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://networkx.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx
@@ -77,10 +79,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-pkg-resources,
-Recommends: python3-gdal,
-            python3-numpy,
+Recommends: python3-numpy,
             python3-yaml,
-Suggests: python3-scipy
+Suggests: python3-gdal, python3-scipy
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 
 	# fix test shebang
 	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
+	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/generators/tests/test_random_graphs.py
 
 	# remove duplicate examples
 	rm -rf debian/python3-networkx/usr/share/doc/python-networkx
@@ -63,8 +64,6 @@
 override_dh_sphinxdoc_DISABLED:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
-	# Do some cleanup: delete unneeded files:
-	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt
 
 	# install doc from dir 'dist', but rename it to 'html', better name
 	cp -auxf doc/build/dist debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html
@@ -99,4 +98,4 @@
 	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/source/reference/news.rst
+	dh_installchangelogs doc/news.rst
